using Autofac;
using FitConnect;
using Microsoft.Extensions.Logging;
using MockContainer;
using NUnit.Framework;

namespace BasicUnitTest;

public class SubscriberReceiveTests {
    private IContainer _container = null!;
    private ILogger _logger = null!;
    private MockSettings _mockSettings = null!;

    [OneTimeSetUp]
    public void OneTimeSetup() {
        _container = Container.Create();
        _logger = _container.Resolve<ILogger>();
        _mockSettings = _container.Resolve<MockSettings>();
    }

    [SetUp]
    public void SetUp() {
    }

    [Test]
    [Ignore("Missing encrypted data")]
    public void GetSubmission() {
        var fluentSubscriber =
            new Subscriber(FitConnectEnvironment.Testing, "", "", "", "", logger: null);

        var submissions = fluentSubscriber
            .GetAvailableSubmissionsAsync();

        var attachments = fluentSubscriber
            .RequestSubmissionAsync("submissionId").Result
            .GetAttachmentsAsync().Result;
    }
}
